## org.eclipse.datatools.modelbase.sql.datatypes
Class CoercibilityType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.CoercibilityType

public final class CoercibilityType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Coercibility Type', and utility methods for working with them. 4.2.1 Comparison of character strings Two character strings are comparable if and only if either they have the same character set or there exists at least one collation that is applicable to both their respective character sets. A collation is defined by ISO/IEC 14651 as "a process by which two strings are determined to be in exactly one of the relationships of less than, greater than, or equal to one another". Each collation known in an SQLenvironment is applicable to one or more character sets, and for each character set, one or more collations are applicable to it, one of which is associated with it as its character set collation. Anything that has a declared type can, if that type is a character string type, be associated with a collation applicable to its character set; this is known as a declared type collation. Every declared type that is a character string type has a collation derivation, this being either none, implicit, or explicit. The collation derivation of a declared type with a declared type collation that is explicitly or implicitly specified by a is implicit. If the collation derivation of a declared type that has a declared type collation is not implicit, then it is explicit. The collation derivation of an expression of character string type that has no declared type collation is none. An operation that explicitly or implicitly involves character string comparison is a character comparison operation. At least one of the operands of a character comparison operation shall have a declared type collation. There may be an SQL-session collation for some or all of the character sets known to the SQL-implementation (see Subclause 4.37, "SQL-sessions"). The collation used for a particular character comparison is specified by Subclause 9.13, "Collation determination". The comparison of two character string expressions depends on the collation used for the comparison (see Subclause 9.13, "Collation determination"). When values of unequal length are compared, if the collation for the comparison has the NO PAD characteristic and the shorter value is equal to some prefix of the longer value, then the shorter value is considered less than the longer value. If the collation for the comparison has the PAD SPACE characteristic, for the purposes of the comparison, the shorter value is effectively extended to the length of the longer by concatenation of <space> s on the right. For every character set, there is at least one collation.

See Also:
  `SQLDataTypesPackage.getCoercibilityType()`, Serialized Form

Field Summary
`static int` `COERCIBILE` The 'COERCIBILE' literal value.
`static CoercibilityType` `COERCIBILE_LITERAL` The 'COERCIBILE' literal object.
`static int` `EXPLICIT` The 'EXPLICIT' literal value.
`static CoercibilityType` `EXPLICIT_LITERAL` The 'EXPLICIT' literal object.
`static int` `IMPLICIT` The 'IMPLICIT' literal value.
`static CoercibilityType` `IMPLICIT_LITERAL` The 'IMPLICIT' literal object.
`static int` `NO_COLLATION` The 'NO COLLATION' literal value.
`static CoercibilityType` `NO_COLLATION_LITERAL` The 'NO COLLATION' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Coercibility Type' enumerators.

Method Summary
`static CoercibilityType` `get(int value)` Returns the 'Coercibility Type' literal with the specified value.
`static CoercibilityType` `get(java.lang.String name)` Returns the 'Coercibility Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPLICIT

    public static final int IMPLICIT

  The 'IMPLICIT' literal value.

  See Also:
    `IMPLICIT_LITERAL`, Constant Field Values

### EXPLICIT

    public static final int EXPLICIT

  The 'EXPLICIT' literal value.

  See Also:
    `EXPLICIT_LITERAL`, Constant Field Values

### COERCIBILE

    public static final int COERCIBILE

  The 'COERCIBILE' literal value.

  See Also:
    `COERCIBILE_LITERAL`, Constant Field Values

### NO_COLLATION

    public static final int NO_COLLATION

  The 'NO COLLATION' literal value.

  See Also:
    `NO_COLLATION_LITERAL`, Constant Field Values

### IMPLICIT_LITERAL

    public static final CoercibilityType IMPLICIT_LITERAL

  The 'IMPLICIT' literal object.

  If the meaning of 'IMPLICIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMPLICIT`

### EXPLICIT_LITERAL

    public static final CoercibilityType EXPLICIT_LITERAL

  The 'EXPLICIT' literal object.

  If the meaning of 'EXPLICIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXPLICIT`

### COERCIBILE_LITERAL

    public static final CoercibilityType COERCIBILE_LITERAL

  The 'COERCIBILE' literal object.

  If the meaning of 'COERCIBILE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COERCIBILE`

### NO_COLLATION_LITERAL

    public static final CoercibilityType NO_COLLATION_LITERAL

  The 'NO COLLATION' literal object.

  If the meaning of 'NO COLLATION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_COLLATION`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Coercibility Type' enumerators.

Method Detail

### get

    public static CoercibilityType get(java.lang.String name)

  Returns the 'Coercibility Type' literal with the specified name.

### get

    public static CoercibilityType get(int value)

  Returns the 'Coercibility Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.